Rapid7 Vulnerability & Exploit Database

SUSE: CVE-2019-19770: SUSE Linux Security Advisory

Back to Search

SUSE: CVE-2019-19770: SUSE Linux Security Advisory

Severity
6
CVSS
(AV:N/AC:L/Au:N/C:P/I:N/A:P)
Published
12/12/2019
Created
04/28/2020
Added
04/24/2020
Modified
02/08/2021

Description

** DISPUTED ** In the Linux kernel 4.19.83, there is a use-after-free (read) in the debugfs_remove function in fs/debugfs/inode.c (which is used to remove a file or directory in debugfs that was previously created with a call to another debugfs function such as debugfs_create_file). NOTE: Linux kernel developers dispute this issue as not being an issue with debugfs, instead this is an issue with misuse of debugfs within blktrace.

Solution(s)

  • suse-upgrade-kernel-default
  • suse-upgrade-kernel-docs
  • suse-upgrade-kernel-obs-build

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;